Subject: Re: bug#19543: 24.4; vc-mode: 'Fileset is up-to-date' even when vc-diff showed differences

From: Dmitry Gutov <[email-masked]>
Date: Sun, 17 May 2015 03:32:56 +0300

On 05/16/2015 07:19 PM, Ed Avis wrote:
> Another way to make it consistent would be for vc-diff to work based on what is currently in the buffer, not what's on disk.

We could, but being consistent with out-of-date information is not that 
valuable.

> But I think a better way to solve it would be for vc-next-action to include a quick check of the file's status on disk.  So before it confidently says "Fileset is up-to-date", it can go and test if the file has changed, and if so go into the usual Emacs prompts about whether to reload the buffer from disk.

I don't know; with TRAMP, for example, process calls are at a premium, 
and this would unconditionally increase their number, especially when 
committing many files.

Further, vc-dir already expects the state information to be up-to-date 
(it has some related checks and logic depending on it).

Aside from using auto-revert-mode, inferring the necessity of refresh 
from vc-diff output might be the best solution.

> This email is intended only for the person to whom it is addressed and may contain confidential information. Any retransmission, copying, disclosure or other use of, this information by persons other than the intended recipient is prohibited. If you received this email in error, please contact the sender and delete the material. This email is for information only and is not intended as an offer or solicitation for the purchase or sale of any financial instrument. Wadhwani Asset Management LLP is a Limited Liability Partnership registered in England (OC303168) with registered office at 40 Berkeley Square, 3rd Floor, London, W1J 5AL. It is authorised and regulated by the Financial Conduct Authority.

Please drop this nonsense. The above text makes it seem like I can't 
even quote your message here because a copy goes to the public bug tracker.